import { ClsNamespaceService } from './cls-namespace.service';
import { TransactionT } from '../core/transaction';
import { Logger } from './logger';
import { ORMService } from './orm.service';
export declare class TransactionService {
    private orm;
    private logger;
    private namespace;
    constructor(orm: ORMService, logger: Logger, namespace: ClsNamespaceService);
    start(): Promise<void>;
    readonly current: TransactionT | undefined;
    run<T = void>(transactionName: string, fn: () => Promise<T>): Promise<T>;
    run<T = void>(transactionName: string, detach: boolean, fn: () => Promise<T>): Promise<T>;
}
